package events

const (
	Init = "init"

	ServerStarted = "server_started"
	ServerClosing = "server_closing"

	// LoggedIn, Args: User, Address, X, Y, Z
	LoggedIn = "logged_in"

	// Authenticated, Args: User, UUID
	Authenticated = "authenticated"

	// Join, Args: User
	Join = "join"

	// Leave, Args: User
	Leave = "leave"

	// Op, Args: User, Source?
	Op = "op"

	// Deop, Args: User, Source?
	Deop = "deop"

	// Message, Args: User, Message
	Message = "message"
)
